%global __python3 /usr/bin/python3.11
%global python3_pkgversion 3.11

# RHEL: Tests disabled due to missing deps
%bcond_with tests

## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4.99;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python%{python3_pkgversion}-krb5
Version:        0.5.1
Release:        %autorelease
Summary:        Kerberos API bindings for Python
License:        MIT
URL:            https://github.com/jborean93/pykrb5
Source:         %{pypi_source krb5}
# https://github.com/jborean93/pykrb5/pull/32
Patch:          0001-Exclude-header-files-from-package-data.patch

BuildRequires:  gcc
BuildRequires:  krb5-devel
# for /usr/sbin/kdb5_util in tests
BuildRequires:  krb5-server
# for /usr/bin/kinit in tests
BuildRequires:  krb5-workstation
BuildRequires:  python%{python3_pkgversion}-devel

%global _description %{expand:
This library provides Python functions that wraps the Kerberos 5 C API.  Due to
the complex nature of this API it is highly recommended to use something like
python-gssapi which exposes the Kerberos authentication details through GSSAPI.}

%description %_description

%prep
%autosetup -p 1 -n krb5-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files krb5

%files -f %{pyproject_files}
%doc README.md

%changelog
* Tue Jun 04 2024 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 0.5.1-4.99
- Ported for el9 python3.11

## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 28 2023 Carl George <carlwgeorge@fedoraproject.org> - 0.5.1-2
- Run test suite

* Wed Sep 13 2023 Carl George <carlwgeorge@fedoraproject.org> - 0.5.1-1
- Initial package, resolves rhbz#2238652
## END: Generated by rpmautospec
